package com.prolog.cs.base.gsp.model;

import java.io.Serializable;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.prolog.framework.core.annotation.AutoKey;
import com.prolog.framework.core.annotation.Column;
import com.prolog.framework.core.annotation.Id;
import com.prolog.framework.core.annotation.Table;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.util.Date;

/**
 * @Description
 * @Date 2021-07-13 
 */

@ApiModel
@Table (value ="dxi_gsp_maintenance_record")
public class DxiGspMaintenanceRecord implements Serializable {
	private static final long serialVersionUID =  2378979319518916810L;
	
	@Id
	@ApiModelProperty(value = "行ID")
	@Column(value = "lineid")
	private String lineid;

	@ApiModelProperty(value = "行号")
	@Column(value = "seqno")
	private String seqno;

	@ApiModelProperty(value = "单据ID")
	@Column(value = "billid")
	private String billid;

	@ApiModelProperty(value = "单据编号")
	@Column(value = "billno")
	private String billno;

	@ApiModelProperty(value = "仓库ID")
	@Column(value = "branchid")
	private String branchid;

	@ApiModelProperty(value = "仓库编码")
	@Column(value = "branchcode")
	private String branchcode;

	@ApiModelProperty(value = "仓库名称")
	@Column(value = "branchname")
	private String branchname;

	@ApiModelProperty(value = "货主ID")
	@Column(value = "consignorid")
	private String consignorid;

	@ApiModelProperty(value = "货主编码")
	@Column(value = "consignorcode")
	private String consignorcode;

	@ApiModelProperty(value = "货主名称")
	@Column(value = "consignorname")
	private String consignorname;

	@ApiModelProperty(value = "养护计划日期")
	@Column(value = "billdate")
	private Date billdate;

	@ApiModelProperty(value = "商品ID")
	@Column(value = "itemid")
	private String itemid;

	@ApiModelProperty(value = "商品编号")
	@Column(value = "itemcode")
	private String itemcode;

	@ApiModelProperty(value = "商品名称")
	@Column(value = "itemname")
	private String itemname;

	@ApiModelProperty(value = "批号")
	@Column(value = "lotno")
	private String lotno;

	@ApiModelProperty(value = "货位编号")
	@Column(value = "locno")
	private String locno;

	@ApiModelProperty(value = "库存数量")
	@Column(value = "stockqty")
	private String stockqty;

	@ApiModelProperty(value = "养护商品类型")
	@Column(value = "itemtype")
	private String itemtype;

	@ApiModelProperty(value = "商品库存状态")
	@Column(value = "stockstate")
	private String stockstate;

	@ApiModelProperty(value = "养护审核状态")
	@Column(value = "status")
	private String status;

	@ApiModelProperty(value = "养护数据来源")
	@Column(value = "sourcetype")
	private String sourcetype;

	@ApiModelProperty(value = "养护员")
	@Column(value = "upkeepoperator")
	private String upkeepoperator;

	@ApiModelProperty(value = "处理意见")
	@Column(value = "processopinion")
	private String processopinion;

	@ApiModelProperty(value = "复检员")
	@Column(value = "recheckoperator")
	private String recheckoperator;

	@ApiModelProperty(value = "复检意见")
	@Column(value = "recheckopinion")
	private String recheckopinion;

	@ApiModelProperty(value = "审核员")
	@Column(value = "auditoperator")
	private String auditoperator;

	@ApiModelProperty(value = "审核意见")
	@Column(value = "auditopinion")
	private String auditopinion;

	@ApiModelProperty(value = "养护操作")
	@Column(value = "checkoperation")
	private String checkoperation;

	@ApiModelProperty(value = "养护数量")
	@Column(value = "qualifiedqty")
	private String qualifiedqty;

	@ApiModelProperty(value = "养护待处理数量")
	@Column(value = "pendingqty")
	private String pendingqty;

	@ApiModelProperty(value = "质量状况")
	@Column(value = "qualitystatus")
	private String qualitystatus;

	@ApiModelProperty(value = "温湿度状况")
	@Column(value = "thstatus")
	private String thstatus;

	@ApiModelProperty(value = "养护待处理原因")
	@Column(value = "pendingreason")
	private String pendingreason;

	@ApiModelProperty(value = "养护时间")
	@Column(value = "upkeepdate")
	private Date upkeepdate;

	@ApiModelProperty(value = "复检日期")
	@Column(value = "recheckdate")
	private Date recheckdate;

	@ApiModelProperty(value = "备注")
	@Column(value = "remark")
	private String remark;

	@ApiModelProperty(value = "字符扩展属性1")
	@Column(value = "attr_str1")
	private String attrStr1;

	@ApiModelProperty(value = "字符扩展属性2")
	@Column(value = "attr_str2")
	private String attrStr2;

	@ApiModelProperty(value = "字符扩展属性3")
	@Column(value = "attr_num1")
	private String attrNum1;

	@ApiModelProperty(value = "字符扩展属性4")
	@Column(value = "attr_num2")
	private String attrNum2;

	@ApiModelProperty(value = "字符扩展属性5")
	@Column(value = "attr_dte1")
	private Date attrDte1;

	@ApiModelProperty(value = "字符扩展属性6")
	@Column(value = "attr_dte2")
	private Date attrDte2;

	@ApiModelProperty(value = "录入员")
	@Column(value = "createby")
	private String createby;

	@ApiModelProperty(value = "录入时间")
	@Column(value = "createdate")
	private Date createdate;

	@ApiModelProperty(value = "修改人")
	@Column(value = "lastmodifyby")
	private String lastmodifyby;

	@ApiModelProperty(value = "修改时间")
	@Column(value = "lastmodifydate")
	private Date lastmodifydate;

	@ApiModelProperty(value = "企业ID")
	@Column(value = "p_enterpriseid")
	private String enterpriseid;

	@ApiModelProperty(value = "企业名称")
	@Column(value = "p_enterprisename")
	private String enterprisename;

	@ApiModelProperty(value = "数据来源(1ERP 2OMS 3WMS 4SAP)")
	@Column(value = "datasource")
	private String datasource;

	@ApiModelProperty(value = "是否近效期")
	@Column(value = "isneardate")
	private String isneardate;

	@ApiModelProperty(value = "字符扩展属性3")
	@Column(value = "attr_str3")
	private String attrStr3;

	@ApiModelProperty(value = "养护措施")
	@Column(value = "checkmemo")
	private String checkmemo;

	@ApiModelProperty(value = "建筑物")
	@Column(value = "building")
	private String building;

	public String getBuilding() {
		return building;
	}

	public void setBuilding(String building) {
		this.building = building;
	}

	public String getLineid() {
		return this.lineid;
	}

	public void setLineid(String lineid) {
		this.lineid = lineid;
	}

	public String getSeqno() {
		return this.seqno;
	}

	public void setSeqno(String seqno) {
		this.seqno = seqno;
	}

	public String getBillid() {
		return this.billid;
	}

	public void setBillid(String billid) {
		this.billid = billid;
	}

	public String getBillno() {
		return this.billno;
	}

	public void setBillno(String billno) {
		this.billno = billno;
	}

	public String getBranchid() {
		return this.branchid;
	}

	public void setBranchid(String branchid) {
		this.branchid = branchid;
	}

	public String getBranchcode() {
		return this.branchcode;
	}

	public void setBranchcode(String branchcode) {
		this.branchcode = branchcode;
	}

	public String getBranchname() {
		return this.branchname;
	}

	public void setBranchname(String branchname) {
		this.branchname = branchname;
	}

	public String getConsignorid() {
		return this.consignorid;
	}

	public void setConsignorid(String consignorid) {
		this.consignorid = consignorid;
	}

	public String getConsignorcode() {
		return this.consignorcode;
	}

	public void setConsignorcode(String consignorcode) {
		this.consignorcode = consignorcode;
	}

	public String getConsignorname() {
		return this.consignorname;
	}

	public void setConsignorname(String consignorname) {
		this.consignorname = consignorname;
	}

	public Date getBilldate() {
		return this.billdate;
	}

	public void setBilldate(Date billdate) {
		this.billdate = billdate;
	}

	public String getItemid() {
		return this.itemid;
	}

	public void setItemid(String itemid) {
		this.itemid = itemid;
	}

	public String getItemcode() {
		return this.itemcode;
	}

	public void setItemcode(String itemcode) {
		this.itemcode = itemcode;
	}

	public String getItemname() {
		return this.itemname;
	}

	public void setItemname(String itemname) {
		this.itemname = itemname;
	}

	public String getLotno() {
		return this.lotno;
	}

	public void setLotno(String lotno) {
		this.lotno = lotno;
	}

	public String getLocno() {
		return this.locno;
	}

	public void setLocno(String locno) {
		this.locno = locno;
	}

	public String getStockqty() {
		return this.stockqty;
	}

	public void setStockqty(String stockqty) {
		this.stockqty = stockqty;
	}

	public String getItemtype() {
		return this.itemtype;
	}

	public void setItemtype(String itemtype) {
		this.itemtype = itemtype;
	}

	public String getStockstate() {
		return this.stockstate;
	}

	public void setStockstate(String stockstate) {
		this.stockstate = stockstate;
	}

	public String getStatus() {
		return this.status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getSourcetype() {
		return this.sourcetype;
	}

	public void setSourcetype(String sourcetype) {
		this.sourcetype = sourcetype;
	}

	public String getUpkeepoperator() {
		return this.upkeepoperator;
	}

	public void setUpkeepoperator(String upkeepoperator) {
		this.upkeepoperator = upkeepoperator;
	}

	public String getProcessopinion() {
		return this.processopinion;
	}

	public void setProcessopinion(String processopinion) {
		this.processopinion = processopinion;
	}

	public String getRecheckoperator() {
		return this.recheckoperator;
	}

	public void setRecheckoperator(String recheckoperator) {
		this.recheckoperator = recheckoperator;
	}

	public String getRecheckopinion() {
		return this.recheckopinion;
	}

	public void setRecheckopinion(String recheckopinion) {
		this.recheckopinion = recheckopinion;
	}

	public String getAuditoperator() {
		return this.auditoperator;
	}

	public void setAuditoperator(String auditoperator) {
		this.auditoperator = auditoperator;
	}

	public String getAuditopinion() {
		return this.auditopinion;
	}

	public void setAuditopinion(String auditopinion) {
		this.auditopinion = auditopinion;
	}

	public String getCheckoperation() {
		return this.checkoperation;
	}

	public void setCheckoperation(String checkoperation) {
		this.checkoperation = checkoperation;
	}

	public String getQualifiedqty() {
		return this.qualifiedqty;
	}

	public void setQualifiedqty(String qualifiedqty) {
		this.qualifiedqty = qualifiedqty;
	}

	public String getPendingqty() {
		return this.pendingqty;
	}

	public void setPendingqty(String pendingqty) {
		this.pendingqty = pendingqty;
	}

	public String getQualitystatus() {
		return this.qualitystatus;
	}

	public void setQualitystatus(String qualitystatus) {
		this.qualitystatus = qualitystatus;
	}

	public String getThstatus() {
		return this.thstatus;
	}

	public void setThstatus(String thstatus) {
		this.thstatus = thstatus;
	}

	public String getPendingreason() {
		return this.pendingreason;
	}

	public void setPendingreason(String pendingreason) {
		this.pendingreason = pendingreason;
	}

	public Date getUpkeepdate() {
		return this.upkeepdate;
	}

	public void setUpkeepdate(Date upkeepdate) {
		this.upkeepdate = upkeepdate;
	}

	public Date getRecheckdate() {
		return this.recheckdate;
	}

	public void setRecheckdate(Date recheckdate) {
		this.recheckdate = recheckdate;
	}

	public String getRemark() {
		return this.remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public String getAttrStr1() {
		return this.attrStr1;
	}

	public void setAttrStr1(String attrStr1) {
		this.attrStr1 = attrStr1;
	}

	public String getAttrStr2() {
		return this.attrStr2;
	}

	public void setAttrStr2(String attrStr2) {
		this.attrStr2 = attrStr2;
	}

	public String getAttrNum1() {
		return this.attrNum1;
	}

	public void setAttrNum1(String attrNum1) {
		this.attrNum1 = attrNum1;
	}

	public String getAttrNum2() {
		return this.attrNum2;
	}

	public void setAttrNum2(String attrNum2) {
		this.attrNum2 = attrNum2;
	}

	public Date getAttrDte1() {
		return this.attrDte1;
	}

	public void setAttrDte1(Date attrDte1) {
		this.attrDte1 = attrDte1;
	}

	public Date getAttrDte2() {
		return this.attrDte2;
	}

	public void setAttrDte2(Date attrDte2) {
		this.attrDte2 = attrDte2;
	}

	public String getCreateby() {
		return this.createby;
	}

	public void setCreateby(String createby) {
		this.createby = createby;
	}

	public Date getCreatedate() {
		return this.createdate;
	}

	public void setCreatedate(Date createdate) {
		this.createdate = createdate;
	}

	public String getLastmodifyby() {
		return this.lastmodifyby;
	}

	public void setLastmodifyby(String lastmodifyby) {
		this.lastmodifyby = lastmodifyby;
	}

	public Date getLastmodifydate() {
		return this.lastmodifydate;
	}

	public void setLastmodifydate(Date lastmodifydate) {
		this.lastmodifydate = lastmodifydate;
	}

	public String getEnterpriseid() {
		return this.enterpriseid;
	}

	public void setEnterpriseid(String enterpriseid) {
		this.enterpriseid = enterpriseid;
	}

	public String getEnterprisename() {
		return this.enterprisename;
	}

	public void setEnterprisename(String enterprisename) {
		this.enterprisename = enterprisename;
	}

	public String getDatasource() {
		return this.datasource;
	}

	public void setDatasource(String datasource) {
		this.datasource = datasource;
	}

	public String getIsneardate() {
		return this.isneardate;
	}

	public void setIsneardate(String isneardate) {
		this.isneardate = isneardate;
	}

	public String getAttrStr3() {
		return this.attrStr3;
	}

	public void setAttrStr3(String attrStr3) {
		this.attrStr3 = attrStr3;
	}

	public String getCheckmemo() {
		return this.checkmemo;
	}

	public void setCheckmemo(String checkmemo) {
		this.checkmemo = checkmemo;
	}

}
